package cn.com.qmth.examcloud.core.examwork.dao.entity;

import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.api.commons.enums.PublishStatus;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * 公告发布进度实体
 * @author lideyin
 * @date 20100701
 */
@Entity
@Table(name = "EC_E_NOTICE_PUBLISH_SCHEDULE", indexes = {
		@Index(name = "IDX_E_NOTICE_PUBLISH_SCHEDULE_001001", columnList = "rootOrgId", unique = false)})
public class NoticePublishScheduleEntity extends JpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 公告id
	 */
	@Id
	private Long id;
	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 发布状态
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private PublishStatus publishStatus;

	/**
	 * 已发布的最大用户id
	 */
	private Long maxUserId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public PublishStatus getPublishStatus() {
		return publishStatus;
	}

	public void setPublishStatus(PublishStatus publishStatus) {
		this.publishStatus = publishStatus;
	}

	public Long getMaxUserId() {
		return maxUserId;
	}

	public void setMaxUserId(Long maxUserId) {
		this.maxUserId = maxUserId;
	}
}
